View Issue Details

IDProjectCategoryView StatusLast Update
0002587PartDesignBugpublic2016-06-18 08:18
Reporterulrich1aAssigned Toeivindkvedalen 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformOSDebianOS VersionJessie
Product Version0.16 
Target VersionFixed in Version0.16 
Summary0002587: Angle Expressions deliver radiants with ° as unit
DescriptionExpressions, which refers to an angle, results in an angle in radiant with a degree unit. See also http://forum.freecadweb.org/viewtopic.php?f=3&t=16131#p127731
Steps To Reproduce- Make a sketch with a named angle constraint.
- Define a second angle constraint in that sketch and put an expression in, which refers to the named angle constraint.
The second angle constraint has a different angle than the named angle constraint.

The problem can be seen in the attached file Angle_Expression_Problem_Sketch.fcstd
TagsNo tags attached.

Activities

ulrich1a

2016-06-12 08:48

reporter  

Angle_Expression_Problem_Sketch.fcstd (3,173 bytes)

eivindkvedalen

2016-06-14 05:16

developer   ~0007145

Please test https://github.com/eivindkv/free-cad-code/tree/Sketcher_fix_20160614 (rebased to current master), and see if this fixes the problem. This also adds units to sketcher constraints when used in expressions or from the spreadsheet.

ulrich1a

2016-06-16 20:17

reporter   ~0007152

I compiled the branch. It solves the problem with the angle expression and as well the problem with the missing unit in the spreadsheet.

Issue History

Date Modified Username Field Change
2016-06-12 08:48 ulrich1a New Issue
2016-06-12 08:48 ulrich1a File Added: Angle_Expression_Problem_Sketch.fcstd
2016-06-14 05:16 eivindkvedalen Note Added: 0007145
2016-06-14 05:16 eivindkvedalen Assigned To => eivindkvedalen
2016-06-14 05:16 eivindkvedalen Status new => assigned
2016-06-16 20:17 ulrich1a Note Added: 0007152
2016-06-18 08:17 wmayer Changeset attached => FreeCAD Master master 7afcb4be
2016-06-18 08:18 wmayer Changeset attached => FreeCAD Master master 171fce7b
2016-06-18 08:18 wmayer Status assigned => closed
2016-06-18 08:18 wmayer Resolution open => fixed
2016-06-18 08:18 wmayer Fixed in Version => 0.16